#ifndef __MENU_H__
#define __MENU_H__

#include "position.h"
#include "output.h"
#include "input.h"

typedef unsigned int feature;
enum race : int;

class menu final {
private:
        const feature enabled_features;
        int curr;
public:
        menu(const feature enabled_features);
        int run(input *in);
        void print(output *out, const unsigned int seed);
};

#endif
